## dictd 1.13.0+dfsg

=== debian/changelog ===
dictd (1.13.0+dfsg-1build2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:50:22 +0100

dictd (1.13.0+dfsg-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:48 +0200

dictd (1.13.0+dfsg-1) unstable; urgency=low

  * New upstream version:
    + contains IPv6 support (closes: #709820, LP: #381324).
  * Add 19-fix-typo-in-man-page.patch to fix double "or" in man page.
  * Build with debhelper v13.
  * debian/control:
    + Rules-Requires-Root: no;
    + Standards-Version: 4.5.0.
  * Update debian/copyright file.
  * Remove unused debian/doc/dictd.8 file.

 -- Robert Luberda <robert@debian.org>  Mon, 17 Aug 2020 09:16:25 +0200

dictd (1.12.1+dfsg-8) unstable; urgency=medium

  * Ignore errors of update-inetd --disable/--remove, as update-inetd has
    recently stared failing on missing /etc/inetd.conf (closes: #906420).
    This is not done for --add/--enable, basing on the assumption that if
    user selects inetd-mode only if inetd is already installed.
  * Standards-Version: 4.2.0.

 -- Robert Luberda <robert@debian.org>  Sun, 19 Aug 2018 11:33:26 +0200

dictd (1.12.1+dfsg-7) unstable; urgency=medium

  * Add dependency on $network and $local_fs to init.d file (closes: #902408).
  * dictd.config: stop the dictd server when the script is called by
    dpkg-reconfigure. This fixes a long-standing logic error that prevented
    smooth switching from "daemon" to "inetd" or "disabled" modes (the postinst
    script tried to restart the server after the new value of the run mode
    had been already stored, but the init.d script did nothing if the new run
    mode was different than "daemon").
  * doc/README.inetd: describe how to switch to the "inetd" mode by means
    of dpkg-reconfigure command (closes: #900794).
  * Add 18-colorit-missing-packages.patch to make 'colorit' utility script
    fail with a helpful message if gawk or m4 are not installed; and loose
    relationship on those two packages from "Recommends" to "Suggests"
    (closes: #573608, #860764, LP: #1048062).
  * Document the lack of paging support in README.Debian for dict: mention
    that pager was removed by upstream, and suggest a solution based on
    an old entry from upstream's NEWS file (closes: #856034, LP: #248412).

 -- Robert Luberda <robert@debian.org>  Sat, 30 Jun 2018 10:59:18 +0200

dictd (1.12.1+dfsg-6) unstable; urgency=medium

  * Fix a bug introduced in 17-fix-some-gcc-8-warnings.patch that caused
    dictd to fail to start in non-inetd mode (closes: #902264, #902266).

 -- Robert Luberda <robert@debian.org>  Sun, 24 Jun 2018 10:19:13 +0200

dictd (1.12.1+dfsg-5) unstable; urgency=medium

  * Rebuild with libmaa-dev 1.4.2.
  * Bump debhelper's compat level to 11.
  * Remove usage of autotools-dev package (lintian).
  * Switch Vcs fields to salsa.debian.org.
  * Update 09-spelling-typos.patch with fixes for more typos (lintian).
  * Document files removed from the upstream tarball in Files-Excluded
    field of debian/copyright (lintian) and update debian/watch for
    automatic creation of the tarball.
  * debian/rules: Remove additional arguments passed to dh_installinit
    (closes: #835257).
  * Add three patches from Власенко Михаил Викторович:
    + 14-fix-mime-option.patch not to incorrectly require argument for
      --mime option (closes: #890948);
    + 15-mime-with-strategy.patch to fix conflict between --mime
      and --strategy options (closes: #892253);
    + 16-combining-greek-ypogegrammeni.patch to mark COMBINING GREEK
      YPOGEGRAMMENI character as non-alphanumeric (closes: #785640,
      LP: #1744896).
  * Add 17-fix-some-gcc-8-warnings.patch to fix most of GCC-8 warnings.
  * Standards-Version: 4.1.4.

 -- Robert Luberda <robert@debian.org>  Sat, 23 Jun 2018 23:21:31 +0200

dictd (1.12.1+dfsg-4) unstable; urgency=medium

  * Add 12-no-name-flag.patch to introduce --no-name option for dictzip
    to help reproducible builds (closes: #776430).
  * Update 09-spelling-typos.patch with fixes for more typos found by
    lintian.
  * debian/rules: enable all hardening options.
  * debian/copyright: make license names unique (lintian).
  * Fix command-with-path-in-maintainer-script lintian warning, and
    remove old work-around for bug#510406.
  * Add 13-Fix-compiler-warnings.patch to fix some of the warnings
    generated by gcc-6.
  * debian/control:
    + switch to https and cgit in Vcs fields;
    + Standards-Version: 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 21 Aug 2016 13:20:56 +0200

dictd (1.12.1+dfsg-3) unstable; urgency=medium

  * Build-Depends on libtool-bin instead of libtool (closes: #761744).
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 20 Sep 2014 12:01:44 +0200
