=== debian/watch ===
version=4

opts="compression=xz,dversionmangle=s/\+dfsg\d*$//,repack,repacksuffix=+dfsg" \
 https://qa.debian.org/watch/sf.php/dict/dictd-([\d\.]+)\.tar\.gz
