## dictd 1.13.1+dfsg

=== debian/changelog ===
dictd (1.13.1+dfsg-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:55:55 +0200

dictd (1.13.1+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libmaa-dev.
    + dictd: Drop versioned constraint on lsb-base and ucf in Depends.
    + dictzip: Drop versioned constraint on dictd in Replaces.

  [ Robert Luberda ]
  * New upstream version.
  * Add the following patches to fix lintian warnings:
    + 20-use-bash-in-scripts.patch;
    + 21-fix-acute-accent-in-man.patch.
  * Add Romanian translation of debconf templates (closes: #1031608).
  * Drop dependency on obsolete lsb-base package (lintian).
  * Update 11-dict_lookup.patch and 18-colorit-missing-packages.patch to
    use 'command -v' instead of 'which'. Do the same in maintainer scripts.
  * Standards-Version: 4.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 14 Jan 2024 21:49:53 +0100
