=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: dictd
 Section: text
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
                flex,
                libltdl-dev,
-               libmaa-dev (>= 1.4.2),
+               libmaa-dev,
                libtool-bin,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/dictd.git
 Vcs-Browser: https://salsa.debian.org/debian/dictd
@@ -34,9 +35,8 @@
  machines that will use the server.
 Depends: adduser,
          dictzip (>= ${source:Upstream-Version}),
-         lsb-base (>= 3.2-13),
          netbase,
-         ucf (>= 3),
+         ucf,
          update-inetd,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -81,7 +81,6 @@
  and dictzcat, for viewing dictzipped files.
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: dictd (<< 1.7.1-1)
 
 Package: dictfmt
 Section: utils
