=== debian/rules ===
#!/usr/bin/make -f

export BDIR               := BUILD
export DESTDIR            := debian/tmp
DH_AUTO_OPTIONS           := -v -Sautoconf -B$(BDIR) --parallel
MAKEARGS                  := JUDYLIB= DBILIB=

DEB_BUILD_MAINT_OPTIONS   := hardening=+all
DEB_CPPFLAGS_MAINT_APPEND := $(shell getconf LFS_CFLAGS)
DEB_CFLAGS_MAINT_APPEND   := -Wall
DPKG_EXPORT_BUILDFLAGS    := 1

include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC  := $(DEB_HOST_GNU_TYPE)-gcc
else
  CC  := gcc
endif

%:
	dh "$@"

override_dh_auto_build:     $(BDIR)/build-arch-stamp

override_dh_auto_install:   $(BDIR)/build-arch-stamp
	dh_auto_install $(DH_AUTO_OPTIONS)  -- $(MAKEARGS)
	rm  $(DESTDIR)/usr/include/dictdplugin.h
	rm  $(DESTDIR)/usr/bin/dictdplugin-config

override_dh_auto_configure: $(BDIR)/configure-stamp

override_dh_auto_clean:
	rm -f $(BDIR)/build-arch-stamp $(BDIR)/build-indep-stamp $(BDIR)/configure-stamp
	dh_auto_clean  $(DH_AUTO_OPTIONS)
	
	rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
	        -o -name '*.bak' -o -name '#*#' -o -name '.*.orig' -o -name 'config.log' \
	        -o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS
	

$(BDIR)/configure-stamp:
	dh_auto_configure $(DH_AUTO_OPTIONS) --     \
	                --verbose                   \
	                --libexecdir=/usr/lib/dictd \
	                --datadir=/usr/share/dictd  \
	                --sysconfdir=/etc/dictd	    \
	                -- CFLAGS='$(CFLAGS)'       \
	                   CPPFLAGS='$(CPPFLAGS)'   \
	                   LDFLAGS='$(LDFLAGS)'     \
	                   AWK=awk
	
	touch "$@"

$(BDIR)/build-arch-stamp: $(BDIR)/configure-stamp
	dh_auto_build $(DH_AUTO_OPTIONS) -- $(MAKEARGS)
	touch "$@"

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_fixperms:
	dh_fixperms
	find debian -mindepth 6 -maxdepth 7 -path "*/usr/share/doc/*" \
	        '!' -name "*.gz" -name "README.*" -exec gzip -9n {} \;
	find debian -mindepth 4 -maxdepth 5 -path "*/dictd/etc/dictd/*" \
	        -name dictdconfig.alias -exec chmod 755 {} \;
